%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppet-memcached


Name:           puppet-memcached
Version:        3.2.0
Release:        2%{?dist}
Summary:        Manage memcached via Puppet
License:        ASL 2.0

URL:            https://github.com/saz/puppet-memcached

Source0:        https://github.com/saz/%{upstream_name}/archive/v%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=3.2.0
Patch0001: 0001-Allow-an-array-of-IP-addresses-in-addition-to-a-sing.patch
Patch0002: 0002-Try-to-fix-older-ruby-tests.patch
Patch0003: 0003-Fix.patch
Patch0004: 0004-Fix-weird-whitespace-issue.patch
Patch0005: 0005-Removing-more-whitespace-weirdness.patch
Patch0006: 0006-Add-the-logstdout-bool-parameter-to-disable-syslog-f.patch
Patch0007: 0007-rubocop-was-not-inspecting-any-files.patch
Patch0008: 0008-fix-rubocop-issues-add-spec-test-for-listen_ip-as-ar.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-firewall
Requires:       puppet >= 2.7.0

%description
Manage memcached via Puppet

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/memcached/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/memcached/



%files
%{_datadir}/openstack-puppet/modules/memcached/


%changelog
* Fri Oct 12 2018 Steve Linabery <slinaber@redhat.com> 3.2.0-2
- fix rubocop issues, add spec test for listen_ip as array
- rubocop was not inspecting any files
- Add the logstdout bool parameter to disable syslog/file logging completely
- Removing more whitespace weirdness
- Fix weird whitespace issue
- Fix
- Try to fix older ruby tests
- Allow an array of IP addresses in addition to a single IP address

* Fri Oct 12 2018 Steve Linabery <slinaber@redhat.com> 3.2.0-1
- Update to 3.2.0

* Mon Sep 03 2018 Michele Baldessari <michele@acksyn.org> 3.1.0-2
- Add the logstdout bool parameter to disable syslog/file logging completely (rhbz#1600376)

* Thu Feb 15 2018 RDO <dev@lists.rdoproject.org> 3.1.0-1
- Update to 3.1.0



